It has come to our attention some visitors are having difficulties viewing some of our content.
First State Animal Center and SPCA is hosted by Squarespace and as such there are some minimum system requirements in order to get the full functionality from our content.
Below are the supported browsers and links to the minimum requirements for each.

Supported Browsers

  • Safari - System requirements Mac & PC
  • Chrome - Mac & PC system requirements here.
  • Firefox - Mac, PC & Linux system requirements here.
  • Internet Explorer - System requirements for PC Only here.

The most recent releases of each of the above listed browsers are currently supported.

Note: Currently, Internet Explorer 9 & Internet Explorer 10 are supported versions for viewing Squarespace sites. 

Please check and verify the version of browser you're using and if necessary upgrade to the most current version for your system. Some operating systems, like Windows XP, may not be able to use anything newer than version 8 of Internet Explorer since the operating system is no longer supported by Microsoft. It is advisable in this case to use another browser. Firefox, Chrome and Safari should function and allow you to view the content on our site.

Should you continue to experience problems, please send an email to: with the following information:

  1. Operating System:
  2. Browser used and version:
  3. Connection speed (Cable, FIOS, Dial up):

We apologize for any inconvenience this may cause.

Thank you for your support and understanding.